2021年10月27日(水) 10:02 JST

jQueryでクロスサイトポスト

  • 印刷用ページ
  • 2010年8月 9日(月) 00:59 JST
  • 投稿者:
    nonoz

いくつかのサイトをマッシュアップしたページを作るために、jQueryのajaxを使ってpostするコードを書いていたら、”Access to restricted URI denied” ってエラーがでるんですね。

1.3から1.4にバージョンアップしてからなにか変わったのかと悩んでました。実際、dataTypeとかに "json"を指定しないと動かなくなってましたし。

でも理由はちゃんとあって、jQueryでは他サイトへpostできないんですね。そりゃまぁセキュリティ考えたら妥当な仕様ですね。

しょうがないので自分のサイトへ ajax接続して 他サイトへpostするところはphpでコーディング。まぁ、これでもユーザ側から見たら考えてた通りの挙動になりますのでヨシでしょう。

Androidのプロジェクトがコンパイルできない?

  • 印刷用ページ
  • 2010年5月12日(水) 12:04 JST
  • 投稿者:
    nonoz

空き時間ができたもので、久々にAndroidプログラミングでもしてみようかと
思い立ちました。
環境を確認してみると、SDKがなんと1.5r3のまま放置されています。
最新のSDKをインストールして、eclipseもついでに 3.4から 3.5へと
アップグレードしました。いざサンプルプロジェクトをコンパイルしようと
するとエラーがでて止まってしまいます。

「Error generating final archive: Debug certificate expired」

ん?なんだこれ。

Android SDKのパスが通っていないのか、Javaのパスが通っていないのか
と確認したり、もう一度 eclipseのインストールをやり直してみたりして
もやはり一緒。エラーが出てコンパイルできません。

そもそも expiredって? SDKは無料で使えるんじゃなかったの?
試用版みたいに期限があったの?期限っていっても新しいSDKに
入れ替えたばかりなのに・・・・

しかたないので検索エンジン様に頼りました。
「.android/debug.keystoreというファイルを消せ」とのこと。

1.5r1のころにコンパイルしてできたファイルが期限を超えていた
ようです。なんで1年間で期限を切るようにしているのか、意味が
わかんないです。

しかも偶然にも 1年前のファイルと今回の環境アップデートが重なった
おかげでてっきり今回の環境構築のどこかがミスっているかと
勘違いしてしまいました。
 

XPERIA体験イベント参加

  • 印刷用ページ
  • 2010年3月14日(日) 23:03 JST
  • 投稿者:
    nonoz

Androidの会と日経BPさんとが協同で開催したXPERIAの体験イベントに参加してきました。

会場入りすると受付でXPERIAを渡してくれました。(帰りに返さないといけませんが・・・)勉強会の間中、さわりまくれるという趣向です。ただし、SIMを挿してはいけませんと念押しされました。なので用意してくださっていたWiFiを利用しての体験です。

肝心のXPERIAを使った感想ですが、

  • 解像度が高いのがよい
  • 見た目のよさ
  • 持ちやすさ
  • 十分な速さ
  • 液晶はきれいに見える

は感じましたが、それだけですかね。

逆に不満に感じたのは

  • 意外とちゃちい?
  • 画面タッチがかなりあやしい
  • スクロールのためのキーが欲しい
  • 独自UIとかはないんだ
  • MicroSDカードはバッテリ外さないと抜き差しできない?

あたりですかね。

裏蓋をあけて、バッテリ・SIM・MicroSDカードを交換することになるのでしょうけれども、その裏蓋がかなりちゃちく見受けられました。大丈夫かな?これって。それにバッテリを外さないとMicroSDカードを抜き差しできないなんて、データのやりとりを考えているユーザからみれば面倒にうつるでしょう。

画面タッチはかなりあやしいです。ブラウザ画面で目的のリンクを指で選んでもなぜか2行ぐらい下が選ばれてしまいます。まったくタッチに反応してくれないこともしばしば。逆にスクロールしたいだけなのに、「選択」ととらえられてしまったり。EMONSTERに入れたAndroidのほうがこのあたりについてはしっかりしているように思います。この画面タッチのイマイチさに付随して、画面スクロール用のキーがついていないのが残念です。CLIEについていたジョグダイアルが恋しくなりました。

SQL Serverにハングル文字を登録

  • 印刷用ページ
  • 2009年11月28日(土) 01:35 JST
  • 投稿者:
    nonoz

SQL Serverってたまにしか使わないので、よく忘れる・・・・

SQL Server にハングル文字を登録しようとして思いっきり躓きました。知っていればどうといったこともないことなんでしょうが。最近のMicrosoft製品は、(Microsoftに限らず世の中ほとんどそうかもしれませんが) Unicode対応されています。なので問題なくハングル文字とて登録できるものと思ってました。

ハングル文字を登録するINSERT文をファイルに書き込んでSQL ServerのManagement Studioで動かしてみる。と、なぜかハングル文字が「?」に化けます。しょうがないので、Visual Studioの Web Developerで C#のコードを書いて 先ほどのINSERT文のファイルを読み込み実行、、、、うまくいかない!

さっぱりわからなくて数日悩んでしまいました。(他の事に時間とられてたのもあるけど)

原因は SQLでハングル文字を表記するのに単純にシングルクオテーションで囲っただけだったからです。Unicode対応させるにはシングルクオテーションの前に「N」をつけなければなりません。「VALUES ( N'ハングル' ) 」みたいに。なんだよこれ、って正直思いました。普通に「VALUES ( 'ハングル' )」でいいやんけ!と思うんだけど、わざわざNをつけなきゃいけないという意味がわからんです。デフォルトUnicodeちゃうのん??

あと、ファイルのコードも、UTF8Nではダメで、UTF-16LE-BOMならC#で通りました。Management Studioのほうでは、UTF8Nでも通りましたけどね。UTF-16LE-BOMでしか通らないんだから、ますますNが必要な意味がわからんです。

慣れてる人ならこんなの常識なんでしょうけれどねぇ。

CakePHPのSecurityコンポーネントを一時停止する

  • 印刷用ページ
  • 2009年11月25日(水) 00:45 JST
  • 投稿者:
    nonoz

CakePHPのSecurityコンポーネントって扱いづらいですよね。でもやっぱりセキュリティには気をつけておきたいし・・・・ デフォルトでは使用して、局所的に適用を外す・・・ということができたらいいな、と思ってました。でもやり方がわかんなかったんですね。

日本語化したドキュメントには、$disabledFieldsに無視するフィールドを入れると評価対象にならないという記述があります。これ使うと、Javascriptで値を変えたりする項目があった時には便利ですが、それでも data['_Token']は発行されています。

他のアクションではSecurityコンポーネントを使っていても、あるアクションだけはSecurityコンポーネントを外したい、そういった使い方は日本語化したドキュメント読んでてもわかんなかったのですが、ソースみて気がつきました。

$this->Security->enabled = false;

これです! これでSecurityコンポーネントを止めることができます。単純だったんですね。

ちいたんでUTF8&複数DB

  • 印刷用ページ
  • 2009年11月17日(火) 00:54 JST
  • 投稿者:
    nonoz

じつはWebシステムではなかったりするのですが・・・・

とあるWebシステムで使っている複数のDBからいろいろ集計するために毎日定時にバッチ処理を走らせようとするもの。これを「ちいたん」使ってやってみることに。

ビューは使わず、action()内にやりたいことを記述してけば、コマンドラインのスクリプトと同等に動きます。

ところが、あるDBのテーブルから値を取得して別のDBのテーブルへ値を書き込むことはできたのですが、日本語の文字列が文字化けしています。

Android SDK 2.0でハマる

  • 印刷用ページ
  • 2009年11月 8日(日) 00:58 JST
  • 投稿者:
    nonoz

1.6→2.0へのアップグレードは eclipse上でできる、みたいな記事を読んでやってみてから、ハマってしまいました。たしかにeclipse上でアップグレードできた(みたいにみえた)のですが、次に使おうとeclipseを起動すると、ADTがメニュー上から消えてなくなってました。

しょうがないので、もういちどインストールしようとすると、「もう入っているよ!」という意味のメッセージがでてインストールさせてくれません。ちょうどubuntuも 9.10が出たところなので、ubuntu 9.10へアップグレードした後に再挑戦しました。

ubuntuでハイバネーション

  • 印刷用ページ
  • 2009年9月27日(日) 16:47 JST
  • 投稿者:
    nonoz

dynabook SS 1610ですが、WinXP/ubuntuのデュアルブートにしています。

HDDが40GBしかないので、ubuntu用にちょっとしかパーティション割り当てをしてなかったせいか、ubuntuでハイバネーションしようとすると、swap領域が足りないと言われてしまいました。

GPartedで起動してパーティションを増やした後、mkswapして、vol_idでuuidを調べ、/etc/fstabと/etc/initramfs-tools/conf.d/resumeのuuidを修正し、swaponと、dpkg-reconfigure initramfs-toolsをしました。これで無事ハイバネーションできるようになりました。

dynabook SS 1610に無線LAN内蔵

  • 印刷用ページ
  • 2009年9月22日(火) 23:31 JST
  • 投稿者:
    nonoz

普段はデスクトップ機を使っているのだが、やはり出先でノートを使いたくなることもあるもの。所有しているノートPCもずいぶんと古くなってしまいました。なにせPentium3の600MHz/メモリ192MBですから。

ヤフオクでdynabook SS 1610が 1万円で出ていたものですから、思わず落札してしまいました。しかし掲示では無線LANつきモデルだったのに届いたのを確認してみれば、無線LANなしモデルでした。出品者に連絡とると、1500円OFFにしてくれました。けっこうお買い得!!

とはいえ、PCカードやらUSBやらで無線LANをつなげると、出っ張りが不格好です。やはり無線は内蔵がいいな、というところで、無線LAN内蔵手術を施しました。

ふつう、ノートに無線LANモジュールを入れるといえば、裏蓋をあけて、miniPCIスロットに差し込むという流れになるのでしょうが、このdynabookはminiPCIスロットが完全に内部に隠れています。筐体あけて、マザボを取り外さないといけません。さらにそれだけではデバイスの認識はするけれど、使えないという情報がネットに。無線LANをON/OFFするスイッチをつけなきゃいけないようです。

http://otd12.jbbs.livedoor.jp/1000036858/bbs_plain?base=240&range=1

↑上記ページを参考に、無線LANのON/OFFスイッチを増設しました。

このページの写真はかなりアップで写しています。あけてびっくり、この狭い範囲で本当に半田付けができるのか、かなりビビリました。なにせもう十年ぐらい半田付けなんてやってませんし。でもがんばって完成しましたよ。ちゃんとスイッチでON/OFFできるようになりました。よかった、よかった。

named: the working directory is not writable

  • 印刷用ページ
  • 2009年8月24日(月) 00:25 JST
  • 投稿者:
    nonoz

いつのまにやら BINDを起動すると、エラーログに「the working directory is not writable」という文字が出るようになっていました。

みてみると namedの設定ファイルとかが置かれているディレクトリの所有者が namedでなく、rootに変わってました。それを直して named停止、named起動。

でもやっぱり同じエラーが出てきます。

あれ?? さっきなおしたはずの所有者がまた rootに戻っている。

よくよく試してみると、/etc/rc.d/namedを使って起動すると、勝手に所有者を変えてしまうようです。所有者を変えて、namedを手打ちで起動させるとエラー出ずに動きます。

そっか、これじゃぁ何度ディレクトリ所有者をchownとかしても無駄でしたね。

/etc/mtree/BIND.chroot.distの「/set type=dir uname=root gname=wheel mode=0755」をuname=bindへ修正すると、エラーが出なくなりましたし、ディレクトリ所有者もbindになりました。


オンラインユーザ

ゲストユーザ: 12

サイトカレンダ

サイトカレンダをスキップ

2021年 10月
«
»
1 2
3 4 5 6 7 8 9
10 11 12 13 14 15 16
17 18 19 20 21 22 23
24 25 26 27 28 29 30
31

掲示板投稿

PHPブロックにエラーがあります。phpblock_forum_newpostsが存在しません。

アンケート

Geeklogに関する意見をどうぞ

日本語版でお気に入りの機能は何ですか?

  •  日本語化をプラグインで実現
  •  携帯ハック
  •  すぐに日本語サイトになるインストーラ
  •  翻訳されたドキュメント
  •  1.4.1からテーマの移行を容易にするProfessionalCSS
  •  文字化けしない日本語対応メール関数
  •  その他
このアンケートにはさらにもう 1 件、質問があります。
他のアンケートを見る | 0 投票 | 0 件のコメント
Geeklogについてお答えください。

Geeklogの新機能で一番良いものは?

  •  Microsoft SQLサーバのサポート
  •  多言語サポート
  •  カレンダのプラグイン化
  •  SLVによるスパム防御
  •  ユーザ一括削除
  •  その他

結果
他のアンケートを見る | 2 投票 | 0 件のコメント

新着情報

記事

-

コメント (2日)

-

トラックバック (2日)

-

ページ (2週)

-

リンク (2週)

新しいリンクはありません

ファイル (14日)

テーマのお試し